#pragma once

namespace ta::features::player
{
    class IPlayerInput
    {
    public:
        virtual ~IPlayerInput() = default;
        [[nodiscard]] virtual bool poll_speed_toggle(int virtual_key) = 0;
        [[nodiscard]] virtual bool poll_fly_toggle(int virtual_key) = 0;
        virtual void reset() noexcept = 0;
    };
}
